# CEGUI::GUILayout_xmlHandler Class Reference

Handler class used to parse the GUILayout XML files using SAX2. More...

Collaboration diagram for CEGUI::GUILayout_xmlHandler:

[legend]
List of all members.

## Public Member Functions

| GUILayout_xmlHandler (const String &name_prefix, PropertyCallback *callback=NULL, void *userdata=NULL)
| Constructor for GUILayout_xmlHandler objects.
virtual | ~GUILayout_xmlHandler (void)
| Destructor for GUILayout_xmlHandler objects.
virtual void | elementStart (const String &element, const XMLAttributes &attributes)
| document processing (only care about elements, schema validates format)
virtual void | elementEnd (const String &element)
void | cleanupLoadedWindows (void)
| Destroy all windows created so far.
Window * | getLayoutRootWindow (void) const
| Return a pointer to the 'root' window created.

## Detailed Description

Handler class used to parse the GUILayout XML files using SAX2.